/***********************************************************************************************************************
 *
 * OpenBlueSky - NetBeans Platform Enhancements
 * Copyright (C) 2006-2012 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://openbluesky.java.net
 * SCM: https://bitbucket.org/tidalwave/openbluesky-src
 *
 **********************************************************************************************************************/
package it.tidalwave.netbeans.automatedtest;

import javax.swing.JPanel;
import javax.swing.SwingUtilities;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
public class AutomatedTestStatusLine extends JPanel 
  {
    private final static AutomatedTestStatusLine instance = new AutomatedTestStatusLine();
    
    private String testName;
    
    public static AutomatedTestStatusLine getInstance()
      {
        return instance;
      }
    
    private AutomatedTestStatusLine() 
      {
        initComponents();
        setVisible(false);
      }
    
    public void setTestName (final String testName)
      {
        this.testName = testName;
        SwingUtilities.invokeLater(new Runnable() 
          {
            public void run()  
              {
                lbTestName.setText(testName);
              }
          });
      }
    
    public void setOperationName (final String operationName)
      {
        SwingUtilities.invokeLater(new Runnable() 
          {
            public void run()  
              {
                lbTestName.setText(testName + "." + operationName);
              }
          });
      }
    
    /** 
     * This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    // <editor-fold defaultstate="collapsed" desc=" Generated Code ">//GEN-BEGIN:initComponents
    private void initComponents() {
        lbTestName = new javax.swing.JLabel();

        lbTestName.setFont(new java.awt.Font("Lucida Grande", 0, 8));
        lbTestName.setForeground(java.awt.Color.red);
        lbTestName.setText(org.openide.util.NbBundle.getMessage(AutomatedTestStatusLine.class, "AutomatedTestStatusLine.lbTestName.text")); // NOI18N

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .add(lbTestName, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 462, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(lbTestName, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 16, Short.MAX_VALUE)
        );
    }// </editor-fold>//GEN-END:initComponents
    
    
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JLabel lbTestName;
    // End of variables declaration//GEN-END:variables
  }
